Update generated query
curl --request PUT \
--url https://api.example.com/api/dataeng/query/{query_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>"
}
'import requests
url = "https://api.example.com/api/dataeng/query/{query_id}"
payload = { "query": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>'})
};
fetch('https://api.example.com/api/dataeng/query/{query_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"start": 123,
"row_count": 123,
"columns": [
"<string>"
],
"next_start": 123,
"data": [
[
"<unknown>"
]
]
},
"error": "<string>"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Engineer
Update generated query
Update the SQL text of a previously generated data engineering query.
PUT
/
api
/
dataeng
/
query
/
{query_id}
Update generated query
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
The updated SQL query text.
Response
Query updated successfully.
The interpreted SQL query generated from the prompt.
A unique ID for the generated query.
The data returned as part of the query response, if applicable.
Show child attributes
Show child attributes
Error message if any issue occurred during query generation.
Was this page helpful?
⌘I

